<?xml version="1.0" encoding="utf-8"?>
<configuration>
 <nodes configfile="web.config">
  <node path="/configuration/system.web/httpModules" action="update" key="name" collision="overwrite">
   <add name="RadUploadModule" type="Bring2mind.Telerik.WebControls.RadUploadHttpModule, Bring2mind.Telerik.RadUpload.Net2"/>
   <add name="WebDAVAuthenticationModule" type="Bring2mind.DNN.Modules.DMX.WebDAV.AuthenticationModule, Bring2mind.DNN.Modules.DMX.WebDAV"/>
   <add name="ComponentArtUploadModule" type="ComponentArt.Web.UI.UploadModule, ComponentArt.Web.UI"/>
  </node>
  <node path="/configuration/system.web/httpHandlers" action="update" key="path" collision="overwrite">
   <add path="ComponentArtUploadProgress.axd" verb="*" type="ComponentArt.Web.UI.UploadProgressHandler, ComponentArt.Web.UI"/>
   <add path="Bring2mind.Telerik.RadUploadProgressHandler.aspx" verb="*" type="Bring2mind.Telerik.WebControls.RadUploadProgressHandler, Bring2mind.Telerik.RadUpload.Net2"/>
   <add path="dmxdav.axd" verb="GET,HEAD,PUT,OPTIONS,PROPFIND,PROPPATCH,COPY,MOVE,DELETE,MKCOL,LOCK,UNLOCK,DEBUG" type="Bring2mind.DNN.Modules.DMX.WebDAV.DavHandler, Bring2mind.DNN.Modules.DMX.WebDAV" validate="false"/>
   <add path="/" verb="OPTIONS,PROPFIND" type="Bring2mind.DNN.Modules.DMX.WebDAV.DavHandler, Bring2mind.DNN.Modules.DMX.WebDAV" validate="false"/>
  </node>
  <node path="/configuration/system.webServer/modules" action="update" key="name" collision="overwrite">
   <add name="RadUploadModule" type="Bring2mind.Telerik.WebControls.RadUploadHttpModule, Bring2mind.Telerik.RadUpload.Net2" preCondition="managedHandler"/>
   <add name="WebDAVAuthenticationModule" type="Bring2mind.DNN.Modules.DMX.WebDAV.AuthenticationModule, Bring2mind.DNN.Modules.DMX.WebDAV" preCondition="managedHandler"/>
   <add name="ComponentArtUploadModule" type="ComponentArt.Web.UI.UploadModule, ComponentArt.Web.UI" preCondition="managedHandler"/>
  </node>
  <node path="/configuration/system.webServer/handlers" action="update" key="path" collision="overwrite">
   <add name="DMXCAUploadHandler" path="ComponentArtUploadProgress.axd" verb="*" type="ComponentArt.Web.UI.UploadProgressHandler, ComponentArt.Web.UI" preCondition="integratedMode,runtimeVersionv2.0"/>
   <add name="DMXTelerikUploadHandler" path="Bring2mind.Telerik.RadUploadProgressHandler.aspx" verb="*" type="Bring2mind.Telerik.WebControls.RadUploadProgressHandler, Bring2mind.Telerik.RadUpload.Net2" preCondition="integratedMode,runtimeVersionv2.0"/>
   <add name="DMXDAVHandler" path="dmxdav.axd" verb="GET,HEAD,PUT,OPTIONS,PROPFIND,PROPPATCH,COPY,MOVE,DELETE,MKCOL,LOCK,UNLOCK,DEBUG" type="Bring2mind.DNN.Modules.DMX.WebDAV.DavHandler, Bring2mind.DNN.Modules.DMX.WebDAV" preCondition="integratedMode,runtimeVersionv2.0"/>
   <add name="DMXDAVWildcardHandler" path="/" verb="OPTIONS,PROPFIND" type="Bring2mind.DNN.Modules.DMX.WebDAV.DavHandler, Bring2mind.DNN.Modules.DMX.WebDAV" preCondition="integratedMode,runtimeVersionv2.0"/>
  </node>
 </nodes>
</configuration>
